Bug 265842 - Krita is not able to open DNG raw images
Summary: Krita is not able to open DNG raw images
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: File formats (show other bugs)
Version: 2.3
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-08 21:22 UTC by Romain Henriet
Modified: 2011-02-12 15:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Henriet 2011-02-08 21:22:33 UTC
Version:           2.3 (using KDE 4.5.5) 
OS:                Linux

While krita can read many raw formats from camera makers, it can't open DNG files that are more are less "generic".

Reproducible: Always

Steps to Reproduce:
Try to open a dng file, Krita opens a dialog box to select image format, but DNG is not in the list
Comment 1 Cyrille Berger 2011-02-12 15:46:10 UTC
Git commit 645e130fbc4357caa757aa4a12ea660d30e33748 by Cyrille Berger.
Committed on 12/02/2011 at 15:44.
Pushed by berger into branch 'master'.

Enable support for DNG files.

BUG: 265842

M  +2    -2    krita/plugins/formats/raw/krita_raw.desktop     
M  +1    -1    krita/plugins/formats/raw/krita_raw_import.desktop     

http://commits.kde.org/calligra/645e130fbc4357caa757aa4a12ea660d30e33748
Comment 2 Cyrille Berger 2011-02-12 15:47:17 UTC
For older version of Krita, if you choose in the list any of the other raw format (for instance Nikon's nef) then it should open the DNG correctly.